{ config, ... }:

{
  programs.gnupg.agent = {
    enable = true;
    enableSSHSupport = config.services.openssh.enable;
    pinentryFlavor = "gtk2";
  };

  services.passSecretService.enable = true;
}
